Bug 732230 - [TURKS] OpenGL games crash X
Summary: [TURKS] OpenGL games crash X
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 06:01 UTC by Tom
Modified: 2018-04-11 15:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 20:17:49 UTC


Attachments (Terms of Use)
dmesg output (123.09 KB, text/plain)
2011-08-22 14:05 UTC, Tom
no flags Details
/var/log/messages output (89.10 KB, text/plain)
2011-08-22 14:07 UTC, Tom
no flags Details
Xorg.0.log (46.48 KB, text/plain)
2011-08-22 14:08 UTC, Tom
no flags Details

Description Tom 2011-08-21 06:01:58 UTC
Description of problem:
OpenGL games crash X server.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati 6.14.2-2.20110727git8c9266ed2.fc17

How reproducible:
Everytime during an OpenGL game.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Aug 21 10:07:40 user kernel: [  251.358351] WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:267 radeon_fence_wait+0x304/0x3c5 [radeon]()
Aug 21 10:07:40 user kernel: [  251.358354] Hardware name: Aspire 5552G
Aug 21 10:07:40 user kernel: [  251.358356] GPU lockup (waiting for 0x0000145C last fence id 0x0000145A)
Aug 21 10:07:40 user kernel: [  251.358358] Modules linked in: fuse ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore arc4 ath9k mac80211 ath9k_common ath9k_hw ath cfg80211 snd_page_alloc sp5100_tco uvcvideo videodev media v4l2_compat_ioctl32 edac_core edac_mce_amd acer_wmi sparse_keymap rfkill broadcom tg3 ses i2c_piix4 enclosure k10temp uinput joydev microcode xts gf128mul dm_crypt usb_storage uas video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 21 10:07:40 user kernel: [  251.358408] Pid: 1246, comm: X Not tainted 3.1.0-0.rc2.git7.1.fc17.x86_64 #1
Aug 21 10:07:40 user kernel: [  251.358410] Call Trace:
Aug 21 10:07:40 user kernel: [  251.358418]  [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
Aug 21 10:07:40 user kernel: [  251.358422]  [<ffffffff8105c5e3>] warn_slowpath_fmt+0x46/0x48
Aug 21 10:07:40 user kernel: [  251.358446]  [<ffffffffa00cad2d>] ? evergreen_gpu_is_lockup+0xba/0xc2 [radeon]
Aug 21 10:07:40 user kernel: [  251.358463]  [<ffffffffa0091285>] radeon_fence_wait+0x304/0x3c5 [radeon]
Aug 21 10:07:40 user kernel: [  251.358467]  [<ffffffff8107a9f8>] ? __init_waitqueue_head+0x4b/0x4b
Aug 21 10:07:40 user kernel: [  251.358487]  [<ffffffffa0091896>] radeon_sync_obj_wait+0x11/0x13 [radeon]
Aug 21 10:07:40 user kernel: [  251.358497]  [<ffffffffa004b688>] ttm_bo_wait+0xbd/0x179 [ttm]
Aug 21 10:07:40 user kernel: [  251.358516]  [<ffffffffa00a23fd>] radeon_bo_wait+0x7b/0xa4 [radeon]
Aug 21 10:07:40 user kernel: [  251.358538]  [<ffffffffa00a2966>] radeon_gem_wait_idle_ioctl+0x3d/0x70 [radeon]
Aug 21 10:07:40 user kernel: [  251.358554]  [<ffffffffa001a8d2>] drm_ioctl+0x2a4/0x386 [drm]
Aug 21 10:07:40 user kernel: [  251.358573]  [<ffffffffa00a2929>] ? radeon_gem_busy_ioctl+0x86/0x86 [radeon]
Aug 21 10:07:40 user kernel: [  251.358578]  [<ffffffff81205066>] ? inode_has_perm+0x6a/0x77
Aug 21 10:07:40 user kernel: [  251.358581]  [<ffffffff8120511a>] ? file_has_perm+0xa7/0xc9
Aug 21 10:07:40 user kernel: [  251.358585]  [<ffffffff81151b31>] do_vfs_ioctl+0x472/0x4b3
Aug 21 10:07:40 user kernel: [  251.358588]  [<ffffffff81151bc8>] sys_ioctl+0x56/0x7a
Aug 21 10:07:40 user kernel: [  251.358592]  [<ffffffff8150af82>] system_call_fastpath+0x16/0x1b
Aug 21 10:07:40 user kernel: [  251.358594] ---[ end trace 3a6751888390c8cf ]---


Expected results:


Additional info:

Comment 1 Tom 2011-08-21 16:09:40 UTC
I get these X crashes with kernel 3.1.0-0.rc2.git7.1.fc17.x86_64 but not the previous kernel 3.1.0-0.rc2.git4.3.fc17.x86_64

Comment 2 Josh Boyer 2011-08-21 20:59:36 UTC
There's nothing radeon related that changed between -git4 and -git7.  Most of the changes are in btrfs, block, and nfs/cifs.  There are some PCI changes, but nothing that immediately jumps out.  Perhaps it's simply harder to hit on the older kernel.

Also, please don't reassign GPU bugs.  The same people look at them either way, and they are easier to spot if assigned to the xorg drivers instead of in the massive kernel bug pool.

Comment 3 Matěj Cepl 2011-08-22 09:49:23 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Tom 2011-08-22 14:05:34 UTC
Created attachment 519289 [details]
dmesg output

Comment 5 Tom 2011-08-22 14:07:13 UTC
Created attachment 519290 [details]
/var/log/messages output

Comment 6 Tom 2011-08-22 14:08:26 UTC
Created attachment 519291 [details]
Xorg.0.log

Comment 7 Tom 2011-08-22 14:11:17 UTC
I added 'drm.debug=0x04' to the kernel command line, restarted, and attached logs. (I don't have an xorg.conf) If someone else wants to try and reproduce this, rotating a model in Blender will crash X and shouldn't cause it to lock up completely like most games do.

Comment 8 Tom 2011-09-09 15:42:04 UTC
I no longer have X crashing with kernel 3.1.0-0.rc5.git0.0.fc17 and xorg-x11-server-Xorg-1.10.99.902-1.20110818.fc17


Note You need to log in before you can comment on or make changes to this bug.